Bug 1045679 - [rfe] [plugin] yumdownloader
Summary: [rfe] [plugin] yumdownloader
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1074194
TreeView+ depends on / blocked
 
Reported: 2013-12-21 06:23 UTC by Rahul Sundaram
Modified: 2014-06-30 13:54 UTC (History)
9 users (show)

Fixed In Version: 0.0.8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-02 07:45:49 UTC


Attachments (Terms of Use)

Description Rahul Sundaram 2013-12-21 06:23:20 UTC
Description of problem:


Common use case for me is creating a offline repository that contains a single major package and all its dependencies (for example, bleeding edge version of Transmission)

Comment 1 Ales Kozumplik 2014-01-02 07:49:33 UTC
Hello, yes we'll take a look.

Comment 2 Ales Kozumplik 2014-01-06 07:38:36 UTC
Rahul wouldn't 'dnf install X --downloadonly' be a better option for the use case, or IOW, how does yumdownloader compare to functionality of --downloadonly?

Comment 3 Rahul Sundaram 2014-01-06 08:02:43 UTC
--downloadonly isn't documented if it already exists but if it does, it kinda sounds contradictory to say it will install something but it is download only. also does it support --destdir, --resolve and --source?  I use all three quite often to fetch the srpm of some repo package along with deps, make some changes and run my own repo off the changes made to test it before pushing the change over.

Comment 4 Ales Kozumplik 2014-01-06 08:20:09 UTC
[09:17]<zpavlas> akozumpl: --downloadonly is essentially equivalent to yumdownloader --resolve.  And (core) yum does now support the -destdir too.

Comment 5 Frank Murphy 2014-01-06 08:24:31 UTC
yum install *.rpms --downloaddir=directory --downloadonly

Comment 6 Zdeněk Pavlas 2014-01-06 08:28:43 UTC
Adding a support for --downloadonly and --destdir should be relatively easy,  and --resolve is implicit.  To cover the full yumdownloader feature set we'd have to add --noresolve, but I don't think it's necessary.  You probably use yumdownloader without --resolve to download srpms, right?  In that case --resolve should not make much difference anyway.  Is implicit resolving of dependencies a problem?

Comment 7 Rahul Sundaram 2014-01-06 09:34:30 UTC
Yeah,  I don't need --noresolve.  If you add support for --downloadonly, --destdir and --source and document these options,  my request can be considered resolved.  Thanks for looking into this.

Comment 8 Tim Lauridsen 2014-04-29 05:46:56 UTC
Hi Rahul

Does this solve your needs
http://dnf-utils.readthedocs.org/en/latest/command-ref.html#dnl-command


Use these command to test the tool:

sudo dnf copr enable timlau/dnf-utils
sudo dnf install dnf-utils

The plan is move the tool into dnf-plugins-core when ready

Comment 9 Tim Lauridsen 2014-06-02 07:45:49 UTC
download command is added to dnf-plugins-core-0.0.8, available in fedora updates

http://dnf-plugins-core.readthedocs.org/en/latest/download.html

Comment 10 Rahul Sundaram 2014-06-30 13:54:36 UTC
WFM


Note You need to log in before you can comment on or make changes to this bug.